public static enum GeoConverters.GeoLocationToStringConverter extends Enum<GeoConverters.GeoLocationToStringConverter> implements Converter<GeoLocation,String>
GeoLocation to a solrReadable request parameter.| Enum Constant and Description |
|---|
INSTANCE |
| Modifier and Type | Method and Description |
|---|---|
String |
convert(GeoLocation source) |
static GeoConverters.GeoLocationToStringConverter |
valueOf(String name)
Returns the enum constant of this type with the specified name.
|
static GeoConverters.GeoLocationToStringConverter[] |
values()
Returns an array containing the constants of this enum type, in
the order they are declared.
|
public static final GeoConverters.GeoLocationToStringConverter INSTANCE
public static GeoConverters.GeoLocationToStringConverter[] values()
for (GeoConverters.GeoLocationToStringConverter c : GeoConverters.GeoLocationToStringConverter.values()) System.out.println(c);
public static GeoConverters.GeoLocationToStringConverter valueOf(String name)
name - the name of the enum constant to be returned.IllegalArgumentException - if this enum type has no constant
with the specified nameNullPointerException - if the argument is nullpublic String convert(GeoLocation source)
convert in interface Converter<GeoLocation,String>Copyright © 2011-2013-2013 SpringSource. All Rights Reserved.